Make 1.9.3 work with Thunderbird 3.0.1 Rated 5 out of 5 stars

works great in TB 3.0.1 but you need to change the max installation value in install.rdf from "3.0a2pre" to "3.0.1" for Thunderbird.

Howto do it:
1: Rename from .xpi to .zip
2: extract to a folder
3: edit extracted install.rdf
-> search "3.0a2pre" and replace with "3.0.*"
4: Save
5: Zip everything up again (ensure same solder structure)
6: rename from .zip to .xpi
7: drag your new xpi into the add-ons window of Thunderbird 3.0.1
hope this helps

4 stars since a bunch of Icons are missing, otherwise great add-on

Doesn't work on TB 3 Rated 1 out of 5 stars

Excellent Add-on. Unfortunately it does not work on Thunderbird 3. Hopefully it will be updated soon.

Missing menu icons Rated 4 out of 5 stars

I'm sure some people have noticed that if you set this extension to use icons on the menu bar, both the history and bookmark menus lack an icon in newer versions of Fx. This is relatively simple to fix:

1) Close Firefox and browse to the extension's installation directory (e.g. /xz0umu7i.default/extensions/{63df8e21-711c-4074-a257-b065cadc28d8})

2) Open the chrome folder, and open "cutemenus.jar". In this archive navigate to "/skin/classic/crystal/" and open "icon-menubar.css"

3) Under /*Firefox*/ change:
"menu#go-menu" to "menu#history-menu" and
"menu#bookmarks-menu" to "menu#bookmarksMenu"

4) Save and close the file. Now, back in the jar archive, return to the root directory and browse to /content/cutemenus/res/ and open "mosaic.css"

5i) Search for "menu#bookmarks-menu" and change it to "menu#bookmarksMenu"

5ii) Search for "menu#go-menu" and change it to "menu#history-menu"

6) Save the file and start Fx up, the icons will now be visible when you set the extension options to display them.

-----
If you can't get it to work, then here's my fully working cutemenus.jar. Just replace your existing cutemenus.jar file with this one.
http://www.megaupload.com/?d=7E1LV3QW

Rated 3 out of 5 stars

I am wanting to add some missing icons, anyone know a program that I can edit and add a few missing icons?

How to force to work this plug-in on Firefox 3.5 Rated 5 out of 5 stars

1) Open URL addons.mozilla.org/ru/firefox/addon/1330 in Internet Explorer
2) Download plugin
3) Extact files from XPI-file in folder (open with WinRAR)
4) Open install.rdf (with Notepad)
5) Find words
6) Change parameter (3.0 -> 10.0)
7) File -> Save (Ctrl+S) and close Notepad
8) Select all files in folder -> Right click mouse on any file -> Send -> ZIP-folder
9) Change file extention (.zip -> .xpi)
10) Drag & Drop this file in Firefox Menu Plugin
11) Restart Firefox
12) Enjoy icons!

3.5! Rated 5 out of 5 stars

You have largest icon set for Firefox!
Please do it capable with 3.5!

Rated 3 out of 5 stars

This extension will work with 3.5.x as long as you use Mr Tech Toolkit to allow for it, or modify the install.rdf file. I take away 1 star because the domain name for the project is gone. And another for not being directly 3.5 compatible. Still it does work.

On another note the extension I now use to replace this is CuteButtons Crystal SVG which is 3.5 compatible from the start. Others might find Menu Icons Plus more to your liking especially if you like tweaking Firefox rather than just having something work. So there are plenty of options for those not wanting to take the time to make this extension compatible...

Very nice, but is this project still alive? Rated 3 out of 5 stars

Although it doesn't assume to be compatible with Firefox 3.5, it runs very fine with it! But we have to manually modify the "install.rdf" file in the extension folder to change the maxVersion from 3.0.* to 3.5.* to do the job. But sometimes it is best to make the extension to be compatible using another one: Mr Tech Toolkit. One star left.

Other problem: the Flat Style doesn't run fine with Thunderbird and Linux (Xfce 2.6): spaces between menu entries are lost! No problems running TB on Windows (XP SP3). Only a bug, no star left.

Last but not least: CuteMenus - Crystal SVG project doesn't seem to be still alive, its website is seems to be lost into the web jungle. Second star left.

Wait & see for further updates (if there will be some)...

Rated 4 out of 5 stars

I recommend this for any Thunderbird users. With this addon, you can find out the menu item you want to use even if there are too many menu items in a menu.

To be honest I want to use CuteMenus Classic on Thunderbird, but I cannot do it because the addon doesn't support Thunderbird... anyway, this is still very useful.

Rated 2 out of 5 stars

Pibamba, your fixed 1.9.3 version doesn't work with FF 3.5

Rated 3 out of 5 stars

Unfortunately this very good add-on has been semi-abandoned (no updates in the last 12 months ...)
But fortunately there is an excellent alternative that is being actively developed: Menu icons Plus (https://addons.mozilla.org/en-US/firefox/addon/8266).

Rated 5 out of 5 stars

https://addons.mozilla.org/en-US/firefox/downloads/file/31469/cutemenus_-_crystal_svg-1.9.3-fx+tb+sb+sm.xpi

Rated 4 out of 5 stars

Works fine if you manually edit the install.rdf for its compatibility to be changed from 3.0.* to 3.*

Replace below with yours.

C:\Documents and Settings\\Application Data\Mozilla\Firefox\Profiles\kw3rfm0s.default\extensions\{63df8e21-711c-4074-a257-b065cadc28d8}

Rated 4 out of 5 stars

Works fine if you manually edit the install.rdf for its compatibility to be changed from 3.0.* to 3.*

Replace below with yours.

C:\Documents and Settings\\Application Data\Mozilla\Firefox\Profiles\kw3rfm0s.default\extensions\{63df8e21-711c-4074-a257-b065cadc28d8}

Rated 4 out of 5 stars

Works fine if you manually edit the install.rdf for its compatibility to be changed from 3.0.* to 3.*

Replace below with yours.

C:\Documents and Settings\\Application Data\Mozilla\Firefox\Profiles\kw3rfm0s.default\extensions\{63df8e21-711c-4074-a257-b065cadc28d8}

Version compatibility Rated 4 out of 5 stars

I've been using MR Tech Toolkit for years and have no idea how to use it to override version incompatibility.

Rated 1 out of 5 stars

Unfortunately, the website is now a linkfarm so, yes, this WILL be the support forum for now until the developer gets his act together. Also, CuteMenus no longer works in Firefox 3.0.11 with the most recent upgrade version 2 pre-alpha build 1904--fail.

Update please Rated 5 out of 5 stars

Please update for FF 3.5.1. Thanks!

'Is Anybody In There?" Rated 1 out of 5 stars

Don't get me wrong, I'd have liked to have given them 5 stars for such a great add-on, but at this point they're lucky enough to only get 1 star 'cause this 'team' is very lax in their updates and/or fixes. It seems as though many developers can always keep a step or two ahead, but then you have others that are always falling by the wayside?

'WhoeverIam 3000' said on January 7, 2009, "Is this project abandoned already?"

I'm beginning to think they closed up shop. Look in the windows, no one's home.

Use MR Tech to make it 3.5 compatible Rated 4 out of 5 stars

Install the "MR Tech Toolkit". That will let you make any add-on compatible. If you are upgrading from a previous FF, right-click the problem add-on in the add-on manager and choose 'make compatible', then restart FF. For installing new, just put a checkbox in the install box that says 'override version checking' (or something like that.)